<script>
	function adjustContentSize(amount) {
		var sel = window.getSelection();
		var range = sel.getRangeAt(0);
		
		if (!range.collapsed) {	
			var el = sel.anchorNode;
			
			if (el.parentNode.contentEditable == 'true') {
				el = document.createElement('p');
				range.surroundContents(el);
                
                if(sel.rangeCount > 0) sel.removeAllRanges();
                sel.addRange(range);
			}
	
			var fontSize = parseInt(el.parentNode.style.fontSize);
			if (isNaN(fontSize) || fontSize == "") fontSize = 16;
			fontSize += amount;
			el.parentNode.style.fontSize = fontSize + 'px';
		}
	}

	function setFontSize(amount) {
		var sel = window.getSelection();
		var range = sel.getRangeAt(0);
		
		if (!range.collapsed) {	
			var el = sel.anchorNode;
			
			if (el.parentNode.contentEditable == 'true') {
				el = document.createElement('span');
				range.surroundContents(el);
				
				if(sel.rangeCount > 0) sel.removeAllRanges();
				sel.addRange(range);
			}
			
			el.parentNode.style.fontSize = amount + 'px';
		}
	}

	function performTransformText(transformType) {
		var sel = window.getSelection();
		var range = sel.getRangeAt(0);
		
		if (!range.collapsed) {	
			var el = sel.anchorNode;
			
			if (el.parentNode.contentEditable == 'true') {
				el = document.createElement('p');
				range.surroundContents(el);
				
				if(sel.rangeCount > 0) sel.removeAllRanges();
				sel.addRange(range);
			}
			
			if (el.parentNode.style.textTransform == "" || el.parentNode.style.textTransform != "" && el.parentNode.style.textTransform != transformType) {
				el.parentNode.style.fontVariant = "";
				el.parentNode.style.textTransform = transformType;
			} else {
				el.parentNode.style.textTransform = "";
			}
		}
	}

	function performFontVariant(variantType) {
		var sel = window.getSelection();
		var range = sel.getRangeAt(0);
		
		if (!range.collapsed) {	
			var el = sel.anchorNode;
			
			if (el.parentNode.contentEditable == 'true') {
				el = document.createElement('p');
				range.surroundContents(el);
				
				if(sel.rangeCount > 0) sel.removeAllRanges();
				sel.addRange(range);
			}
			
			if (el.parentNode.style.fontVariant == "" || el.parentNode.style.fontVariant != "" && el.parentNode.style.fontVariant != variantType) {
				el.parentNode.style.textTransform = "";
				el.parentNode.style.fontVariant = variantType;
			} else {
				el.parentNode.style.fontVariant = ""
			}
		}
	}

	function getFontSize(amount) {
		var sel = window.getSelection();
		var range = sel.getRangeAt(0);
		
		if (!range.collapsed) {	
			var el = sel.anchorNode;
			
			if (el.parentNode.style.fontSize) {
				return el.parentNode.style.fontSize;
			} else {
				return '16px';
			}
		}
	}

</script>