<script type="text/javascript">
	document.addEventListener("DOMContentLoaded", function() {
		var scale = window.devicePixelRatio;
		// might want this to be scale != 2
		if (scale == undefined || scale == 1) {
			return;
		}

		var re = /^(.*)(\..*)$/;
		var images = document.getElementsByTagName("img");
		for (var i =  0; i < images.length; i++) {
			var img = images[i];
			var groups = re.exec(img.src);
			if (groups == null) {
				continue;
			}
							  
			img.style.setProperty("display", "none");

			img.currentSource = img.src;
			img.currentIndex = i;

			img.onerror = function () {
				noRetinaImageFor(this.currentIndex, this.currentSource);
			}

			img.onload = function () {
				resizeRetinaImage(this.currentIndex, scale);
			}

			img.src = groups[1] + "@" + scale + "x" + groups[2];
		}
	});

	function resizeRetinaImage(imageId, scale) {
		var images = document.getElementsByTagName("img");
		images[imageId].width /= scale;
		images[imageId].height /= scale;
		images[imageId].style.setProperty("display", "");
	}

	function noRetinaImageFor(imageId, nonRetinaURL) {
		var images = document.getElementsByTagName("img");
		images[imageId].style.setProperty("display", "");
		
		images[imageId].onerror = "";
		images[imageId].onload = "";
		images[imageId].src = nonRetinaURL;
	}
</script>